[Pkg-bazaar-maint] Bug#588430: bzr doesn't work though proxies on python 2.6

Russell Stuart russell-debian at stuart.id.au
Thu Jul 8 09:11:21 UTC 2010

Package: bzr
Version: 2.1.2-1
Severity: important
Tags: upstream

This wasn't an issue until the move to python 2.6, now it bites me
over and over again.  It is a known bug, and has been fixed
upstream.  See:


It would be nice if you either backported the fix (as mentioned in
the URL), or moved to 2.2b3 where it has been fixed.

This is the error I get:

  $ bzr branch lp:zookeepr/lca2011
  bzr: ERROR: exceptions.NotImplementedError: should resend request to http://feeds.edge.launchpad.net/bazaar/, but this isn't implemented

  Traceback (most recent call last):
    File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 853, in exception_to_return_code
      return the_callable(*args, **kwargs)
    File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 1055, in run_bzr
      ret = run(*run_argv)
    File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 661, in run_argv_aliases
      return self.run_direct(**all_cmd_args)
    File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 665, in run_direct
      return self._operation.run_simple(*args, **kwargs)
    File "/usr/lib/python2.6/dist-packages/bzrlib/cleanup.py", line 122, in run_simple
      self.cleanups, self.func, *args, **kwargs)
    File "/usr/lib/python2.6/dist-packages/bzrlib/cleanup.py", line 156, in _do_with_cleanups
      result = func(*args, **kwargs)
    File "/usr/lib/python2.6/dist-packages/bzrlib/builtins.py", line 1194, in run
    File "/usr/lib/python2.6/dist-packages/bzrlib/bzrdir.py", line 956, in open_tree_or_branch
      bzrdir = klass.open(location)
    File "/usr/lib/python2.6/dist-packages/bzrlib/bzrdir.py", line 840, in open
      t = get_transport(base, possible_transports=possible_transports)
    File "/usr/lib/python2.6/dist-packages/bzrlib/lazy_import.py", line 125, in __call__
      return obj(*args, **kwargs)
    File "/usr/lib/python2.6/dist-packages/bzrlib/transport/__init__.py", line 1559, in get_transport
      base = directories.dereference(base)
    File "/usr/lib/python2.6/dist-packages/bzrlib/directory_service.py", line 58, in dereference
      return service().look_up(name, url)
    File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/launchpad/lp_directory.py", line 60, in look_up
      return self._resolve(url)
    File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/launchpad/lp_directory.py", line 70, in _resolve
      result = resolve.submit(service)
    File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/launchpad/lp_registration.py", line 275, in submit
    File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/launchpad/lp_registration.py", line 205, in send_request
      % e.headers.get('Location', 'NO-LOCATION-PRESENT'))
  NotImplementedError: should resend request to http://feeds.edge.launchpad.net/bazaar/, but this isn't implemented

  bzr 2.1.2 on python 2.6.5 (Linux-2.6.32-5-amd64-x86_64-with-debian-squeeze-sid)
  arguments: ['/usr/bin/bzr', 'branch', 'lp:zookeepr/lca2011']
  encoding: 'UTF-8', fsenc: 'UTF-8', lang: 'en_AU.UTF-8'
    bzrtools             /usr/lib/python2.6/dist-packages/bzrlib/plugins/bzrtools [2.1.0]
    email                /usr/lib/python2.6/dist-packages/bzrlib/plugins/email [unknown]
    launchpad            /usr/lib/python2.6/dist-packages/bzrlib/plugins/launchpad [2.1.2]
    loom                 /usr/lib/python2.6/dist-packages/bzrlib/plugins/loom [2.1.0]
    netrc_credential_store /usr/lib/python2.6/dist-packages/bzrlib/plugins/netrc_credential_store [2.1.2]
    news_merge           /usr/lib/python2.6/dist-packages/bzrlib/plugins/news_merge [2.1.2]
    rewrite              /usr/lib/python2.6/dist-packages/bzrlib/plugins/rewrite [0.6.0]
    search               /usr/lib/python2.6/dist-packages/bzrlib/plugins/search [1.7.0dev]
    svn                  /usr/lib/python2.6/dist-packages/bzrlib/plugins/svn [1.0.2]
    upload               /usr/lib/python2.6/dist-packages/bzrlib/plugins/upload [1.0.0dev]

  *** Bazaar has encountered an internal error.  This probably indicates a
      bug in Bazaar.  You can help us fix it by filing a bug report at
      including this traceback and a description of the problem.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages bzr depends on:
ii  libc6                   2.11.2-2         Embedded GNU C Library: Shared lib
ii  python                  2.6.5-5          An interactive high-level object-o
ii  python-central          0.6.14+nmu2      register and build utility for Pyt
ii  python-configobj        4.7.2+ds-1       simple but powerful config file re
ii  python-elementtree      1.2.6-12.1       Light-weight toolkit for XML proce
ii  zlib1g                  1: compression library - runtime

Versions of packages bzr recommends:
ii  bzrtools                      2.1.0-2    Collection of tools for bzr
ii  ca-certificates               20090814   Common CA certificates
ii  python-paramiko               1.7.6-2    Make ssh v2 connections with Pytho

Versions of packages bzr suggests:
pn  bzr-doc              <none>              (no description available)
pn  bzr-gtk              <none>              (no description available)
ii  bzr-svn              1.0.2-2             Bazaar plugin providing Subversion
pn  python-kerberos      <none>              (no description available)
pn  python-pycurl        <none>              (no description available)
ii  xdg-utils            1.0.2+cvs20100307-1 desktop integration utilities from

-- no debconf information

More information about the Pkg-bazaar-maint mailing list